package com.cyl.manager.oms.convert;

import com.cyl.manager.oms.pojo.vo.ManagerOrderVO;
import com.cyl.manager.oms.pojo.vo.OrderExportVO;
import org.mapstruct.Mapper;
import com.cyl.manager.oms.domain.Order;
import com.cyl.manager.oms.pojo.vo.OrderVO;
import java.util.List;
/**
 * 订单表  DO <=> DTO <=> VO / BO / Query
 *
 * @author zcc
 */
@Mapper(componentModel = "spring")
public interface OrderConvert  {

    List<OrderVO> dos2vos(List<Order> list);

    List<OrderExportVO> vos2vos(List<ManagerOrderVO> list);

    OrderVO do2vo(Order order);

    OrderExportVO vo2vo(ManagerOrderVO orderVO);
}
